SublimeLinter plugin for CoffeeScript, using coffeelint.
Clone or download
Latest commit e1450b6 Apr 2, 2018

README.md

SublimeLinter-coffeelint

Build Status

This linter plugin for SublimeLinter provides an interface to coffeelint. It will be used with files that have the "CoffeeScript" and "CoffeeScript (Literate)" syntax.

Installation

SublimeLinter must be installed in order to use this plugin.

Please use Package Control to install the linter plugin.

Before installing this plugin, ensure that coffeelint is installed on your system. To install coffeelint, do the following:

  1. Install Node.js (and npm on Linux).

  2. Install coffeelint by typing the following in a terminal:

    npm install -g coffeelint
    
  3. If you are using nvm and zsh, ensure that the line to load nvm is in .zshenv and not .zshrc.

Please make sure that the path to coffeelint is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Settings

You may configure coffeelint’s behavior using coffeelint.json configuration files, exactly as is described in the coffeelint documentation.